//---------------------------------------------------------------------------

#ifndef PWMH
#define PWMH
//---------------------------------------------------------------------------

#define PWM_WAVE_SIZE 8192

typedef unsigned char uchar;

typedef struct{
	int freq;
	int pos;
	int duty;
	int rst;
	int leva;
	int levb;
	int inv;
}TPWM;


extern void pwm_init(void);
extern void pwm_set_duty(double duty);
extern void pwm_get_duty(double *duty);
extern void pwm_set_freq(int freq);
extern void pwm_set_invert(int inv);
extern int pwm_gen(char *data,int count,int srate);


#endif
