//---------------------------------------------------------------------------
#ifndef sys_modelH
#define sys_modelH
//---------------------------------------------------------------------------



#define SYS_N 6
typedef struct{
	double *x;
	double *y;
	int len;
	int pos;
	int n;
	double Ts;
	double th[SYS_N];
	int filter;
	double kp[2];
	double yp[SYS_N/2];
}TSysId;

extern void sys_idn_init(void);
extern void sys_idn_close(void);
extern int sys_idn_config(int len,double Ts);
extern void sys_idn_filter(int len);
extern int sys_idn_update(double nx,double ny,double *ypred,double *theta,double *kp);



#endif
